Skip to content

Delete Gateway Service

Endpoint: DELETE /api/gateway/config/services/{serviceId}

Delete a gateway service

Path parameters

Parameter Description Type Required/ Optional
serviceId The service ID of the gateway service to delete. You can get the service ID from the id field of the Get All Gateway Service’s output. string Required.

Response

  • Returns a 200 OK response with the message "Service deleted". All routes and tags of the service are deleted with it.
  • Returns 404 Not Found if no service exists with the given serviceId.
  • Returns 403 Forbidden if you do not have permission to delete the service.

Examples

Delete a gateway service

Request

curl -X 'DELETE' \
  'https://<YOUR-SERVER-URL>/api/gateway/config/services/ticket-tools' \
  -H 'accept: application/json' \
  -H 'X-Authorization: <TOKEN>'

Response

{
  "message": "Service deleted"
}